
function EnableNanny( nannyNumber )

require( "scripts/style.lua" );
	if (nannyNumber == -1) then
		EnableWindow("nanny_0", false);
		EnableWindow("nanny_1", false);
		EnableWindow("nanny_2", false);
	end

	if (nannyNumber == 0) then
		EnableWindow("nanny_0", true);
		EnableWindow("nanny_1", false);
		EnableWindow("nanny_2", false);
	end

	if (nannyNumber == 1) then
		EnableWindow("nanny_0", false);
		EnableWindow("nanny_1", true);
		EnableWindow("nanny_2", false);
	end

	if (nannyNumber == 2) then
		EnableWindow("nanny_0", false);
		EnableWindow("nanny_1", false);
		EnableWindow("nanny_2", true);
	end

end


MakeDialog
{
	name = "cutscene_window_intro_1",
	Bitmap
	{
align=kHAlignLeft + kVAlignTop,
		name = "background",
		image = "alt_cutscenes/intro/intro_bg_1",
		x = 0,
		y = 0,
		scale = 1.00,
		Text
		{
			x = 69,
			y = 548,
			w = 886,
			h = 130,
			font = {
				oldsansblackFont,
				40,
				RedTextColor
			},
			label = "alternative_cuts_intro1_"..(gDialogTable.nanny+1),
			flags = kHAlignCenter + kVAlignCenter,
		},
		Bitmap
		{
			name = "nanny_2",
			image = "alt_cutscenes/intro/betty",
			x = 396,
			y = 162,
			scale = 1.00,
		},
		Bitmap
		{
			name = "nanny_0",
			image = "alt_cutscenes/intro/claudia",
			x = 405,
			y = 196,
			scale = 1.00
		},
		Bitmap
		{
			name = "nanny_1",
			image = "alt_cutscenes/intro/matilda",
			x = 400,
			y = 184,
			scale = 1.00
		},
		SetStyle( MenuButtonStyle ),
		Button
		{
			name = "button_next",
			x=727,
			y=500,
			graphics = MediumButton2Graphics,
			MenuButtonLabel(0, 0, 152, 34, "next", oldsansblackFont, 24, Color(135,32,33,255), Color(44,76,60,255), Color(83,119,101,255)),
			command=
				function()
					DisplayDialog{"scripts/cutscenes/intro2.lua", nanny=gDialogTable.nanny, family=gDialogTable.family};
					--DebugOut("scripts/cutscenes/intro1.lua, nanny="..gDialogTable.nanny..", family="..gDialogTable.family);
				end
		},
	}
}

EnableNanny( gDialogTable.nanny );